Download it now!
Bug 128174 - Master password dialog misplaced
Summary: Master password dialog misplaced
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Ayhan Yalçınsoy
URL:
Whiteboard: target:7.1.0 target:7.0.3
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: CMIS
  Show dependency treegraph
 
Reported: 2019-10-16 10:28 UTC by Heiko Tietze
Modified: 2020-10-14 10:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-10-16 10:28:20 UTC
When opening a remote file (after everything for CMIS has been set up), the password dialog shows up in the upper left corner but should be placed in the center of the application. It makes also sense to make it a modal dialog.

Version: 6.2.7.1
Build ID: 6.2.7-3
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kde5; 
Locale: de-DE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-16 12:22:19 UTC
kde5 issue? what about SAL_USE_VCLPLUGIN=gen instdir/program/soffice
Comment 2 Heiko Tietze 2019-10-17 09:55:51 UTC
The dialog shows up at random position. With gen right of the application window, with gtk3 at left top of the CMIS dialog (kde is at top left of the screen but not always, sometimes it's placed at the correct position). After cancel it comes up again but then at the right position.
Comment 3 Xisco Faulí 2020-05-11 07:37:34 UTC
Hello Heiko,
Is this issue still reproducible in master ?
Comment 4 Heiko Tietze 2020-05-11 08:00:36 UTC
Yes, at least with gen. No obvious issue with gtk3, haven't tested qt5.

Version: 7.0.0.0.alpha1+
Build ID: 75a2257a5bd716a9f937abe5e53f305c983afd5d
CPU threads: 8; OS: Linux 5.6; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

Pretty simple to fix with Glade: tab General, section Window Attributes, property Position -> should be Center on Parent

sfx2/uiconfig/ui/password.ui
cui/uiconfig/ui/password.ui
uui/uiconfig/ui/masterpassworddlg.ui
Comment 5 Xisco Faulí 2020-05-11 08:12:09 UTC
moving to NEW then
Comment 6 Commit Notification 2020-10-01 09:27:22 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8a4ed7b0040e10cc75d015f244934d00478df7c6

tdf#128174: Master password dialog misplaced

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-10-14 08:33:52 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/14e3d8ccf80d931b2e0a7b05aa3d9496b0a7f137

tdf#128174: Master password dialog misplaced

It will be available in 7.0.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Heiko Tietze 2020-10-14 10:14:17 UTC
Thanks a lot, Ayhan. The master pw dialog shows up in the center but the remote file dialog advances to the lower right corner- and beyond! - making it impossible to interact with the application. Maybe a Linux/kf5-only issue but it should be fixed anyway. Can you take a look or shall I file another ticket?

Version: 7.1.0.0.alpha0+
Build ID: 59f86333f3fce091177d1cfb9363aa81686aa497
CPU threads: 8; OS: Linux 5.8; UI render: default; VCL: kf5
Locale: de-DE (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 9 Heiko Tietze 2020-10-14 10:18:46 UTC
(In reply to Heiko Tietze from comment #8)
> ... or shall I file another ticket?

bug 137471